
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Django - Django框架 简单介绍 / 憋错料</title>

    <meta name="description" content="Django - Django框架 简单介绍 Django框架 简单介绍 本文地址: http://blog.csdn.net/caroline_wendy/article/details/29172271 1. 介绍 Django是一个开放源码的Web应用框架, 由Python写成. 採用了MVC的软件设计模式, 即模型M, 视图V和控制器C. 它最初是被开发来用于管理劳伦斯出版集团旗下的一些以新闻内容为主的站点的, 并于2005年7月在BSD许可证下公布. 这套框架是以比利时的吉普赛爵士吉他手Django Reinhardt来命名的.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Django - Django框架 简单介绍</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h3>Django框架 简单介绍</h3>
<p>本文地址:&nbsp;http://blog.csdn.net/caroline_wendy/article/details/29172271</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA2MDcwOTE2MDg2NzE=.jpg" /></p>
<h4>1. 介绍</h4>
<p>Django是一个开放源码的Web应用框架, 由Python写成.</p>
<p>採用了MVC的软件设计模式, 即模型M, 视图V和控制器C.</p>
<p>它最初是被开发来用于管理劳伦斯出版集团旗下的一些以新闻内容为主的站点的, 并于2005年7月在BSD许可证下公布.</p>
<p>这套框架是以比利时的吉普赛爵士吉他手Django Reinhardt来命名的.</p>
<p>Django的主要目标是使得开发复杂的, 数据库驱动的站点变得简单.</p>
<p>Django注重组件的重用性和“可插拔性”, 敏捷开发和DRY法则(Don‘t Repeat Yourself).</p>
<p>在Django中Python被普遍使用, 甚至包含配置文件和数据模型.</p>
<p>Django于2008年6月17日正式成立基金会.</p>
<h4>2. 组件</h4>
<p>Django框架的核心包含:</p>
<p>一个面向对象的映射器, 用作数据模型(以Python类的形式定义)和关联性数据库间的媒介;</p>
<p>一个基于正則表達式的URL分发器;</p>
<p>一个视图系统, 用于处理请求;</p>
<p>一个模板系统.</p>
<p>核心框架中还包含:</p>
<p>一个轻量级的, 独立的Webserver, 用于开发和測试;</p>
<p>一个表单序列化及验证系统, 用于HTML表单和适于数据库存储的数据之间的转换;</p>
<p>一个缓存框架, 并有几种缓存方式可供选择;</p>
<p>中间件支持, 同意对请求处理的各个阶段进行干涉;</p>
<p>内置的分发系统同意应用程序中的组件採用提前定义的信号进行相互间的通信;</p>
<p>一个序列化系统, 可以生成或读取採用XML或JSON表示的Django模型实例;</p>
<p>一个用于扩展模板引擎的能力的系统.</p>
<h4>3. 内置应用</h4>
<p>Django 包含了非常多应用在它的&quot;contrib&quot;包中, 这些包含:</p>
<p>一个可扩展的认证系统;</p>
<p>动态站点管理页面;</p>
<p>一组产生RSS和Atom的工具;</p>
<p>一个灵活的评论系统;</p>
<p>产生Google站点地图(Google Sitemaps)的工具;</p>
<p>防止跨站请求伪造(cross-site request forgery)的工具;</p>
<p>一套支持轻量级标记语言(Textile和Markdown)的模板库;</p>
<p>一套协助创建地理信息系统(GIS)的基础框架;</p>
<h4>4. server部署</h4>
<p>Django可以执行在启用了mod python的Apache 2上, 或是不论什么WSGI兼容的Webserver.</p>
<p>Django也有启动FastCGI服务的能力, 因此可以应用于不论什么支持FastCGI的机器上.</p>
<p>下列数据库引擎被Django官方支持:</p>
<p>PostgreSQL \ &nbsp;MySQL \&nbsp;SQLite \&nbsp;Oracle;</p>
<p>Microsoft SQL Server的适配器正在开发中, 处于试验阶段.</p>
<p>Django1.0已经可以利用Jython执行在不论什么J2EEserver.</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA2MDcwOTEwMjkyMTg=.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 07:49:37 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Django - Django框架 简单介绍的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AxOnd3.html" rel="bookmark">Rebound动画框架简单介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Rebound动画框架简单介绍 Android菜鸟一枚,有不对的地方希望大家指出,谢谢. 最近在接手了一个老项目,发现里面动画框架用的是facebook中的Rebound框架,由于以前没听说过,放假时闲得蛋痛,看看了源码,就顺手写这一篇吧. 写了一个小Demo,具体效果如下: 代码很简单,这是xml布局: &lt;RelativeLayout xmlns:android=&quot;http://schemas.android.com/apk/res/android&quot; xmlns:tools=&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jzKVZ0.html" rel="bookmark">Django入门-框架目录介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Django入门博客:https://www.cnblogs.com/chuangming/p/9076721.html#4098510 备注:使用 Django 框架之后,开发服务端方便了很多.我们只需要做 ①定义函数 ②定义函数和路径的对应关系 这两件事情就可以使得服务端正常响应. 1.安装Django pip install Django 或者直接用pycharm安装 2.新建Django项目[直接使用pycharm] 3.文件具体解释 最外层test01----项目文件夹 里面test0			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pQ7vVM.html" rel="bookmark">Spring框架简单介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:  http://my.oschina.net/myriads/blog/37922 1.使用框架的意义与Spring的主要内容 随着软件结构的日益庞大,软件模块化趋势出现,软件开发也须要多人合作,随即分工出现.怎样划分模块,怎样定义接口方便分工成为软件project设计中越来越关注的问题.良好的模块化具有下面优势:可扩展.易验证.易维护.易分工.易理解.代码复用. 优良的模块设计往往遵守&quot;低耦合高内聚&quot;的原则.而&quot;框架&quot;是对开发中良好设计的总结,把设计中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGYpYZ3.html" rel="bookmark">&period;NET 框架简单介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				初学.NET肯定会有一系列的疑问,比方(下面为自己的疑问): 1) 何为. NET框架.它都包括哪些东西? 2) 程序集是什么.它是怎样在CLR(通用语言执行时)中执行的? 3) C#与VB.NET同属于.NET平台,它们之间的根本联系和差别,为何他们之间的程序集能互相调用(假设创建一种新型的面向. NET的语言,要遵循什么)? 想要明确如上问题,就须要弄清楚CIL(通用中间语言).CLR(通用语言执行时).CTS(通用类型系统).CLS(通用语言规范)等等的概念,以下是自己看了一些他人的文章后			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0bdKJe4.html" rel="bookmark">&lbrack;转&rsqb;缓存、缓存算法和缓存框架简单介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引言 我们都听过 cache,当你问他们是什么是缓存的时候,他们会给你一个完美的答案.可是他们不知道缓存是怎么构建的.或者没有告诉你应该採用什么标准去选择缓存框架. 在这边文章,我们会去讨论缓存.缓存算法.缓存框架以及哪个缓存框架会更好. 面试 &quot;缓存就是存贮数据(使用频繁的数据)的暂时地方,由于取原始数据的代价太大了.所以我能够取得快一些.&quot; 这就是 programmer one (programmer one 是一个面试者)在面试中的回答(一个月前,他向公司提交了简历,想要应聘要求			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPwk5B4.html" rel="bookmark">H264 编解码框架简单介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阅读完H264/AVC 编解码器的介绍,脑海中仅仅是留下下面三条: 1.H264并没有明白规定一个编解码器怎样实现,仅仅是规定了一个编码后的视频比特流的句法,和该比特流的解码方法,这个与MPEG 类似. 2.H264和曾经的标准(如H261.H263.MPEG-1.MPEG-4)的编解码器实现流程没有太大差别,基本的不同在于各功能块的细节. 3.H264就是利用实现的复杂性获得压缩性能的明显改善.(至于复杂度的评估,以后会介绍) 以下介绍一下H264的编码器框图: 编码器採用的仍是变换和预測的混			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Ze1gq0.html" rel="bookmark">Nodejs-express 4&period;0框架 简单介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.expressjs.com.cn/4x/api.html  这个是express API的中文手册 但是只是翻译了一点 英语比较差比较难受. 1. 关于安装 现在网上查的时候有一部分 都是之前安装模式 就是导致 express 不是命令 问题 要使用 npm install express-generator -g 来安装 这个是官网的 网上还有其他方式 比较推荐官方的 2. 生成的目录结构 express -e ejs myapp 这种生成的就是ejs模板的 我就是使用这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPO8yz4.html" rel="bookmark">client高性能组件化框架React简单介绍、特点、环境搭建及经常使用语法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[本文源址:http://blog.csdn.net/q1056843325/article/details/54729657 转载请加入该地址] 明天就是除夕了 预祝大家新春快乐 [ ]~(￣▽￣)~* 天天饭局搞得我是身心疲惫= = 所以更新比較慢 今天想跟大家分享的就是这个大名鼎鼎的React框架 简单介绍 React是近两年非常流行的框架 流行到什么程度呢? 我看了一下Github上的数据 React达到了5w8+的star 在JavaScript中star排名第4 受欢迎程度可见一斑			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MylqnV4.html" rel="bookmark">接口测试随笔四之根据Django web框架进行接口测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Django快速开发之投票系统 之前分享过一篇Django开发投票系统的例子.今天在这个例子上做一些延伸,来讲讲web接口的开发与测试. 开发投票系统接口                                                      虽然投票系统的的功能已经开发完成,但我们并没有开发专门的接口,在当前的投票系统中,在我们调用一个get或post请求时,系统会返回整个页面,并且把测试连同页面一起返回. 例如,当我们要调用所有问题的接口时(test_get.py) imp			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/w3v5Ej0.html" rel="bookmark" class="title">jq-实战之表格筛选</a>
					<div>
						css部分 .select{background: #ccc} html部分 table width=&quot;80%&quot; cellspacing=&quot;0&quot; cellspa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/L3rZV93.html" rel="bookmark" class="title">22&period;Android 十分方便的滑动标签页</a>
					<div>
						22.Android 十分方便的滑动标签页 Android 十分方便的滑动标签页 前言 EasySlidingTabs属性 EasySlidingTabs布局 FragmentPagerAdapter ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lr9Eo4.html" rel="bookmark" class="title">java函数方法</a>
					<div>
						1.方法重载 (1)源代码 // MethodOverload.java // Using overloaded methods public class MethodOverload { publi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MX71zk4.html" rel="bookmark" class="title">verilog 阻塞赋值和非阻塞赋值</a>
					<div>
						1 module main(); 2 reg clk=0; 3 reg [11:0] a=0; 4 reg [11:0] b=0; 5 always #50 clk=~clk; 6 always@(c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoxYEP0.html" rel="bookmark" class="title">未来会怎样</a>
					<div>
						未来会怎样这个话题很残酷,也很尖锐,但是对很多人来说,未来不怎么样,在人的一生中,绝大部分人一生平庸碌碌无为,毫无建树,从今天起准备实现自己的三个梦想了:1.网络安全和信息安全厂商 2.工业自动化提供 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rkvWl4.html" rel="bookmark" class="title">WebKit历史项管理的实现</a>
					<div>
						历史项管理根据标准定义,由Page管理一个Joint Session History, 包含了各个子Frame的历史项.逻辑上对应如下的关系: 从上面看三个层次:Page,Frame,以及JS Bin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35AWLv3.html" rel="bookmark" class="title">c&plus;&plus;，windows中的字符问题</a>
					<div>
						string与char*的转换方法 string a; char *b=a.c_str(); string a=new String(b); a=b; LPCWSTR是unicode的字符串,LPCS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JdGyB0.html" rel="bookmark" class="title">windows server 定期备份数据库脚本</a>
					<div>
						将以下文件保存为.bat脚本,在计划任务中添加定时任务运行此脚本即可.脚本中的备份目录,数据库目录和压缩文件目录请自行修改. @echo off rem 当前路径切换到备份数据库目录 cd D:\wa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YDAzqM.html" rel="bookmark" class="title">mysql module&lowbar;class&lowbar;excute</a>
					<div>
						#!/usr/bin/env python #-*- coding:utf-8 -*- from day5 import conf import MySQLdb class MysqlHepler(o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35rVeK4.html" rel="bookmark" class="title">&lbrack;转载&rsqb;8&period; 应用协议</a>
					<div>
						一.应用层协议概要 二.远程登录 1)TELNET 2)SSH 三.文件传输 四.电子邮件 1)电子邮件的工作机制 2)邮件地址 3)MIME 4)SMTP 5)POP 6)IMAP 五.WWW 1) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49eVeD4.html" rel="bookmark" class="title">46</a>
					<div>
						$\bf命题1:$任意方阵$A$均可分解为可逆阵$B$与幂等阵$C$之积 证明:设$r\left( A \right) = r$,则存在可逆阵$P,Q$,使得 PAQ=(Er000) 从而可知 A=P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pNbBx0.html" rel="bookmark" class="title">Java基础知识强化之IO流笔记66：Properties的概述 和 使用（作为Map集合使用）</a>
					<div>
						1. Properties的概述  Properties:属性集合类.是一个可以和IO流相结合使用的集合类.Properties 可保存在流中或从流中加载.属性列表中每个键及其对应值都是一个字符串.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0neL9xM.html" rel="bookmark" class="title">查看网络配置信息</a>
					<div>
						一.通过命令查看,也就是在上一篇文章中介绍的一个命令:ifconfig 示例一: [[email protected] ~]# ifconfig br0       Link encap:Ethern ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXZJPk3.html" rel="bookmark" class="title">第二章-Python起步</a>
					<div>
						2-2 (a)计算1 + 2 * 4 的值 (b)无输出 (c)一样,没有写输出语句 (d)单独执行无输出,在交互解释其中可以输出结果 (e)用print输出,print 1 + 2 * 4 2-3  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MmQl21M.html" rel="bookmark" class="title">md5加密--32位16进制小写</a>
					<div>
						public class ttgameMd5 { public final static String MD5(String str) { char hexDigits[] = { // 用来将字节转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Ax96Z3.html" rel="bookmark" class="title">C&num;判断字符串是否为数字</a>
					<div>
						string i = Console.ReadLine();            int a=0;            if (int.TryParse(i, out a) == false) / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49l1Zb3.html" rel="bookmark" class="title">200道物理学难题&mdash;&mdash;050旋转水桶</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBnELqM.html" rel="bookmark" class="title">jsp&lowbar;session的生命周期</a>
					<div>
						概念:Session 用于跟踪客户的状态.Session指的是在一段时间内,单个客户与Web服务器的一连串相关的交互过程.在一个Session中,客户可能会多次请求访问同一个网页,也有可能请求访问各种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGYv7Z3.html" rel="bookmark" class="title">Warning&colon; Attempt to present &ast;  on &ast; which is already presenting &ast;</a>
					<div>
						Warning: Attempt to present (要被presented的控制器)  on (哪个控制器来presenting) which is already presenting (已经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n81wV4.html" rel="bookmark" class="title">电影的花絮图，自动滚动</a>
					<div>
						效果图: 其中图片是可以自己动的.当然,点击白色的小圆点,也是可以滑动的. 上代码. .h #import &lt;UIKit/UIKit.h&gt; @interface RootViewContr ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.042 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
